Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008258TestLinkCustom fieldspublic2018-05-04 10:292018-05-08 13:34
ReporterNeha Doda 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008258: Can we make custom fields Mandatory?
DescriptionI want to make a custom field mandatory for some projects.

I need a custom mandatory field and specify some default value to the same.

Thanks,
Neha
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027424)
Neha Doda (reporter)
2018-05-07 10:39

The issue is same as 0008149.

This is reproduced on my system.
(0027425)
fman (administrator)
2018-05-07 18:05

do you have a question or do you have an issue? both things are very different and has to be managed in a different way

question => this is not the place => forum
issue => you need to report issue using recognized de-facto standards
(0027426)
fman (administrator)
2018-05-07 18:07

You can see that issue has been marked solved => get latest stable code, do fresh install retest and provide feedback
(0027431)
Neha Doda (reporter)
2018-05-08 08:08
edited on: 2018-05-08 08:09

I had the issue.

Although the issue was with php:
if( isset($argsObj->$operativeInput[$id]) )

I have updated the line as:
$customFields = (array) $argsObj->$operativeInput;
if( isset($customFields [$id]) )

The issue is resolved now.

Thanks

(0027440)
fman (administrator)
2018-05-08 13:34

without knowing what PHP version are you using is difficult to say

- Issue History
Date Modified Username Field Change
2018-05-04 10:29 Neha Doda New Issue
2018-05-07 10:39 Neha Doda Note Added: 0027424
2018-05-07 18:05 fman Note Added: 0027425
2018-05-07 18:07 fman Note Added: 0027426
2018-05-07 18:07 fman Assigned To => fman
2018-05-07 18:07 fman Status new => feedback
2018-05-08 08:08 Neha Doda Note Added: 0027431
2018-05-08 08:08 Neha Doda Status feedback => assigned
2018-05-08 08:09 Neha Doda Note Edited: 0027431 View Revisions
2018-05-08 13:34 fman Note Added: 0027440
2018-05-08 13:34 fman QA Team - Task Workflow Status => TBD
2018-05-08 13:34 fman Status assigned => closed
2018-05-08 13:34 fman Resolution open => fixed
2018-05-08 13:34 fman Fixed in Version => 1.9.17 (2018 Q1)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker